Debian Bug report logs - #579540
applet: TypeError: could not convert type NoneType to (null) required for parameter 0 on start

version graph

Package: revelation; Maintainer for revelation is Laszlo Boszormenyi (GCS) <gcs@debian.org>; Source for revelation is src:revelation.

Reported by: bd@bc-bd.org

Date: Wed, 28 Apr 2010 13:21:02 UTC

Severity: normal

Found in version revelation/0.4.11-5

Fixed in version revelation/0.4.11-6

Done: Stefan Völkel <stefan@bc-bd.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Stefan Völkel <stefan@bc-bd.org>:
Bug#579540; Package revelation. (Wed, 28 Apr 2010 13:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to bd@bc-bd.org:
New Bug report received and forwarded. Copy sent to Stefan Völkel <stefan@bc-bd.org>. (Wed, 28 Apr 2010 13:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: bd@bc-bd.org
To: submit@bugs.debian.org
Subject: applet: TypeError: could not convert type NoneType to (null) required for parameter 0 on start
Date: Wed, 28 Apr 2010 15:12:47 +0200
Subject: applet: TypeError: could not convert type NoneType to (null) required for parameter 0 on start
Package: revelation
Version: 0.4.11-5
Severity: normal

When starting the applet this error pops up:

Traceback (most recent call last):
  File "/usr/share/revelation/libexec/revelation-applet", line 914, in factory
    RevelationApplet(applet, iid)
  File "/usr/share/revelation/libexec/revelation-applet", line 55, in __init__
    self.__init_states()
  File "/usr/share/revelation/libexec/revelation-applet", line 134, in __init_states
    self.datafile.emit("changed", self.datafile.get_file())
  File "/usr/lib/python2.5/warnings.py", line 62, in warn
    globals)
  File "/usr/lib/python2.5/warnings.py", line 85, in warn_explicit
    if ((msg is None or msg.match(text)) and
TypeError: could not convert type NoneType to (null) required for parameter 0

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages revelation depends on:
ii  gconf2                        2.28.1-3   GNOME configuration database syste
ii  gnome-icon-theme              2.30.1-1   GNOME Desktop icon theme
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  libcrack2                     2.8.16-1   pro-active password checker librar
ii  python                        2.5.4-9    An interactive high-level object-o
ii  python-central                0.6.16     register and build utility for Pyt
ii  python-crypto                 2.1.0-2    cryptographic algorithms and proto
ii  python-gnome2                 2.28.1-1   Python bindings for the GNOME desk
ii  python-gtk2                   2.17.0-2   Python bindings for the GTK+ widge
ii  shared-mime-info              0.71-1     FreeDesktop.org shared MIME databa

revelation recommends no packages.

revelation suggests no packages.

-- no debconf information




Added tag(s) pending. Request was from bd@bc-bd.org to control@bugs.debian.org. (Wed, 28 Apr 2010 15:03:08 GMT) Full text and rfc822 format available.

Reply sent to Stefan Völkel <stefan@bc-bd.org>:
You have taken responsibility. (Thu, 10 Jun 2010 21:48:08 GMT) Full text and rfc822 format available.

Notification sent to bd@bc-bd.org:
Bug acknowledged by developer. (Thu, 10 Jun 2010 21:48:08 GMT) Full text and rfc822 format available.

Message #12 received at 579540-close@bugs.debian.org (full text, mbox):

From: Stefan Völkel <stefan@bc-bd.org>
To: 579540-close@bugs.debian.org
Subject: Bug#579540: fixed in revelation 0.4.11-6
Date: Thu, 10 Jun 2010 21:47:24 +0000
Source: revelation
Source-Version: 0.4.11-6

We believe that the bug you reported is fixed in the latest version of
revelation, which is due to be installed in the Debian FTP archive:

revelation_0.4.11-6.diff.gz
  to main/r/revelation/revelation_0.4.11-6.diff.gz
revelation_0.4.11-6.dsc
  to main/r/revelation/revelation_0.4.11-6.dsc
revelation_0.4.11-6_amd64.deb
  to main/r/revelation/revelation_0.4.11-6_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 579540@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefan Völkel <stefan@bc-bd.org> (supplier of updated revelation package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed,  3 Jun 2010 18:30:51 +0100
Source: revelation
Binary: revelation
Architecture: source amd64
Version: 0.4.11-6
Distribution: unstable
Urgency: low
Maintainer: Stefan Völkel <stefan@bc-bd.org>
Changed-By: Stefan Völkel <stefan@bc-bd.org>
Description: 
 revelation - GNOME2 Password manager
Closes: 563914 579540
Changes: 
 revelation (0.4.11-6) unstable; urgency=low
 .
   * Removed no longer needed auto* patches (Closes: #563914)
   * Added de translation patch from 0.4.11-4ubuntu1
   * Added automake to build dependencies, else autoreconf fails
   * Added pwsafe patch by Stuart Rackham, see LP #120371
   * Added gettext patch, see erikg's bitbuket.org issue #21
   * Added DM-Upload-Allowed: yes
   * Added unset datafile patch (Closes: #579540)
   * Added 170-escape.dpatch to not quite when pressing escape in the
     "Save changes before quitting" dialog.
     Patch by Raúl Gutiérrez Segalés <rgs@paraguayeduca.org>
   * Added 180-luks.dpatch to replace string exceptions.
     Patch by John Lenz <jlenz2@math.uiuc.edu>
Checksums-Sha1: 
 7f96cb26cae2d535487c8a87552e378282829ac3 1564 revelation_0.4.11-6.dsc
 aa6e9bb9d999a646cf501e39f1a24b2a77798131 13894 revelation_0.4.11-6.diff.gz
 7abe1ce534b0858e068db32ee3bfebb42fa60072 407938 revelation_0.4.11-6_amd64.deb
Checksums-Sha256: 
 3fb2ec73d07844446678949d9e02bbec4190e27ddb24b21180f11044cbbb3595 1564 revelation_0.4.11-6.dsc
 a3d7c8579e9b60388bc4b54960f7ae1d8350d532db428d4c0b8b131dbb602602 13894 revelation_0.4.11-6.diff.gz
 e981a827f57c647c7a9273c569d6096b8111b7b55f91e56d06499de4c37c436b 407938 revelation_0.4.11-6_amd64.deb
Files: 
 dd25059bbd30c5196a7fcd1c20756f6c 1564 gnome optional revelation_0.4.11-6.dsc
 9aed5eb363f33fab8c91faca0fddf0c2 13894 gnome optional revelation_0.4.11-6.diff.gz
 2e9177e07c8be13d4a4481f5edba23e6 407938 gnome optional revelation_0.4.11-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (Darwin)

iEYEARECAAYFAkwRXBUACgkQzgQIDpRWreI3ewCfeFlR903UqHQZTu0OrsiuhZ4q
dloAoKIZDGAIkePXYq4SslLo0bY3WSOP
=ByRm
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 28 Jul 2010 07:36:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:57:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.